public class AuwahlFlaschenPreis
{
	public static void main(String[] args)throws java.io.IOException
	{

		int eingabeZahl=2;		
		boolean richtig;
		
		while (eingabeZahl >0 && eingabeZahl <3)
		{
			System.out.println("Drücken Sie '1' wenn Sie die Anzahl der Flaschen angeben möchten.");
			System.out.println("Drücken Sie '2' wenn Sie den Preis eingeben möchten.");
			System.out.println("Drücken Sie eine andere belibige Zahl um das Programm zu beenden.");
			
			eingabeZahl = getIntFromKeyboard();

			if (eingabeZahl == 1)
			{
				System.out.println("Bitte geben Sie die Anzahl der Flaschen an die Sie haben möchten");
				
				eingabeZahl = getIntFromKeyboard();
				
				if (eingabeZahl <= 20)
				{
					System.out.println(eingabeZahl+" Flasche(n) zu je 9 Euro = "+eingabeZahl*9 + " Euro");
				}
				else
				{
					if (eingabeZahl > 50)
					{
						System.out.println(eingabeZahl+" Flaschen zu je 7 Euro = "+eingabeZahl*7 + " Euro");
					}
					else
					{
						System.out.println(eingabeZahl+" Flaschen zu je 8 Euro = "+eingabeZahl*8 + " Euro");
					}
				}
				eingabeZahl=1;				
			}
			
			if (eingabeZahl == 2)
			{
				System.out.println("Bitte geben Sie den Preis an den Sie zahlen möchten");
				
				eingabeZahl = getIntFromKeyboard();
				
				if (eingabeZahl <= 9*20)
				{
					System.out.println("Für "+eingabeZahl+" Euro bekommen Sie "+eingabeZahl/9 + " Flasche(n)" + " Flasche(n) zu je 9 Euro");
				}
				else
				{
					if (eingabeZahl > 7*50)
					{
						System.out.println("Für "+eingabeZahl+" Euro bekommen Sie "+eingabeZahl/7 + " Flaschen" + " Flasche(n) zu je 7 Euro");
					}
					else
					{
						System.out.println("Für "+eingabeZahl+" Euro bekommen Sie "+eingabeZahl/8 + " Flaschen" + " Flasche(n) zu je 8 Euro");
					}
				}
				eingabeZahl=2;
			}
		}
	}
	
	static int getIntFromKeyboard()
	{
		int eingabeZahl=0;
		boolean richtig=true;
		String textVonDerTastatur= "";
		java.io.BufferedReader in=new java.io.BufferedReader(
			new java.io.InputStreamReader(System.in));
		while (richtig == true)
			{
				try
				{
					textVonDerTastatur=in.readLine();
					eingabeZahl=Integer.parseInt(textVonDerTastatur);
					richtig = false;
				}
				catch ( NumberFormatException nfe)
				{
					richtig = true;
					System.out.println("Dies war keine gültige Zahl!");
				}
				catch ( java.io.IOException ioe)
				{
					richtig = true;
					System.out.println("Fehler bei der Eingabe!");
				}
			}	
		return eingabeZahl;
	}
}